Summary:        Mesa libGLU library
Name:           mesa-libGLU
Version:        9.0.1
Release:        4%{?dist}

License:        MIT
URL:            https://gitlab.freedesktop.org/mesa/glu
Source0:        https://ftp.freedesktop.org/pub/mesa/glu/glu-%{version}.tar.xz

BuildRequires:  make, gcc-c++, libtool, automake, autoconf
BuildRequires:  mesa-libGL-devel
Provides:       libGLU

%description
Mesa implementation of the standard GLU OpenGL utility API.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       gl-manpages
Provides:       libGLU-devel

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q -n glu-%{version}

%build
autoreconf -v -i -f
%configure --disable-static
%make_build

%install
%make_install


find %{buildroot} -name '*.la' -delete


%files
%{_libdir}/libGLU.so.1
%{_libdir}/libGLU.so.1.3.*

%files devel
%{_includedir}/GL/glu*.h
%{_libdir}/libGLU.so
%{_libdir}/pkgconfig/glu.pc

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 9.0.1-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 9.0.1-3
- Rebuilt for OpenCloudOS Stream 23

* Fri Dec 09 2022 Xiaojie Chen <jackxjchen@tencent.com> - 9.0.1-2
- Rebuild mesa-libGLU

* Mon Sep 19 2022 cunshunxia <cunshunxia@tencent.com> - 9.0.1-1
- initial build
